gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-exchange] 01/02: check required commands exist


From: gnunet
Subject: [GNUnet-SVN] [taler-exchange] 01/02: check required commands exist
Date: Fri, 23 Aug 2019 15:21:30 +0200

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository exchange.

commit 0d230131e61df2bff75ab47256217eb22c910b26
Author: Christian Grothoff <address@hidden>
AuthorDate: Fri Aug 23 15:17:54 2019 +0200

    check required commands exist
---
 src/auditor/.gitignore      |  8 ++++++++
 src/auditor/test-auditor.sh | 11 ++++++++++-
 2 files changed, 18 insertions(+), 1 deletion(-)

diff --git a/src/auditor/.gitignore b/src/auditor/.gitignore
index d92c3a3f..409175fb 100644
--- a/src/auditor/.gitignore
+++ b/src/auditor/.gitignore
@@ -1,2 +1,10 @@
 taler-auditor-httpd
+taler-auditor
+taler-wire-auditor
 taler-auditor-exchange
+test-audit.json
+test-report.aux
+test-report.pdf
+test-report.tex
+test-wire-audit.json
+texput.aux
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index 48c7d0df..95f7691e 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -7,11 +7,19 @@
 # Requires 'jq' tool and Postgres superuser rights!
 set -eu
 
+# test required commands exist
+echo "Testing for jq"
+jq -h > /dev/null || exit 77
+echo "Testing for taler-bank-manage"
+taler-bank-manage -h >/dev/null || exit 77
+echo "Testing for pdflatex"
+which pdflatex > /dev/null || exit 77
+
 echo "Database setup"
 DB=taler-auditor-test
 dropdb $DB 2> /dev/null || true
 createdb -T template0 $DB || exit 77
-jq -h > /dev/null || exit 77
+
 # Import pre-generated database, -q(ietly) using single (-1) transaction
 psql $DB -q -1 -f ../benchmark/auditor-basedb.sql > /dev/null
 MASTER_PUB=`cat ../benchmark/auditor-basedb.mpub`
@@ -32,6 +40,7 @@ kill `jobs -p`
 
 echo "TeXing"
 ../../contrib/render.py test-audit.json test-wire-audit.json < 
../../contrib/auditor-report.tex.j2 > test-report.tex
+
 pdflatex test-report.tex >/dev/null
 pdflatex test-report.tex >/dev/null
 

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]